package cn.com.ty.lift.business.common;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;

/**
 * TODO
 *
 * @author wcz
 * @since 2020/4/24
 */
@Data
public class CommonRequest {
    /**
     * 维保公司id
     */
    @Min(value = 1, message = "维保公司ID有误")
    private Long mtCompanyId;
    /**
     * 当前用户
     */
    @Min(value = 1, message = "当前用户ID有误")
    private Long userId;
    /**
     * 当前用户角色code
     */
    private String currentRoleCode;

    /**
     * 省市区编码
     */
    @NotEmpty(message = "省市区编码不能为空")
    private String code;
}
