package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import java.time.LocalDate;

@Data
public class PropertyMaintenanceVO {

    /**
     * 计划时间
     */
    private LocalDate planDate;
    /**
     * 列表数据类型
     * 1、待保养
     * 2、保养中
     * 3、已完成
     * 4、计划超期
     * 5、法规超期
     */
    private Integer type;

    private Long userId;

    /**
     * 分页
     */
    private long pageNum = 1L;
    private long pageSize = 10L;

    /**
     * 年月  例 202005  2020年5月
     */
    private String yearMonth;
}
