package cn.com.ty.lift.enterprise.region.dao.entity.model;

import cn.com.ty.lift.enterprise.region.dao.entity.Region;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 区域表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RegionRequest extends Region implements Serializable {
    private long pageNum = 1;
    private long pageSize = 10;
    private Long mtCompanyId;

    /**
     * 模糊搜索字段，区域名称或区域主管名称
     */
    private String name;
}

