package cn.com.ty.lift.system.settings.dao.entity.model;

import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-09
 * @description 维保公司请求类
 */
@Data
public class MaintenanceCompanyRequest {
    private Long id;//公司申请信息id
    private Long companyId;//公司id
    private List<Long> companyIdList;//公司id集合
    private String companyName;//公司名称
    private String telephone;//联系电话
    private String corporator;//联系人
    private String remarks;//团队描述
    private String logoImg;//logo图片
    private String businessLicenseAnnex;//营业执照路径
    private Long userId;//用户id
    private Integer vipFlag;//vip标识
    private Integer limitedNum;//台量
    private String userName;//用户名称
    private String menuIds;//菜单id集合
    private String provinceCode;//省份编码
    private Integer isCertificated;
    private int pageSize;//每页的条数
    private int pageNum;//第几页

    public MaintenanceCompanyRequest(){}

    public MaintenanceCompanyRequest(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }
}
