package cn.com.ty.lift.system.settings.dao.mapper;

import cn.com.ty.lift.common.utils.MybatisSqlUtils;
import cn.com.ty.lift.system.settings.dao.entity.MtCompanyAttestation;
import cn.com.ty.lift.system.settings.dao.entity.model.MaintenanceCompanyRequest;
import cn.com.ty.lift.system.settings.dao.entity.model.MaintenanceCompanyResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;

import java.util.List;

/**
 * <p>
 * 公司认证信息 Mapper 接口
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-12
 */
public interface MtCompanyAttestationMapper extends BaseMapper<MtCompanyAttestation> {
    /**
     * @param
     * @return
     * @description 获取认证公司信息
     * @date 2020/5/25 2:39 下午
     */
    @SelectProvider(type = MybatisSqlUtils.class, method = "getApplyCompanyList")
    List<MaintenanceCompanyResponse> applyCompanyList(@Param("isCertificated") int isCertificated);
}
