package cn.com.ty.lift.batch.applet.dao.mapper;

import cn.com.ty.lift.batch.applet.dao.model.MaintenanceDataModel;
import cn.com.ty.lift.batch.applet.dao.model.request.CommonRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@MyBatisMapper
public interface MaintenanceDataMapper {
    /**
     * @param commonRequest 起始时间 终止时间
     * @return
     * @description 获取指定时间段内的维保数据
     * @date 2020/2/4 1:54 下午
     */
    List<MaintenanceDataModel> getMaintenanceDataList(CommonRequest commonRequest);

    /**
     * @param commonRequest 请求数据
     * @return 维保数据
     * @description 获取本年度维保数据
     * @date 2020/5/22 11:29 上午
     */
    List<MaintenanceDataModel> getMonthMaintenanceData(CommonRequest commonRequest);
}
