package cn.com.ty.lift.business.capital.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/5/14
 * @description 大修操作记录返回
 */
@Data
public class CapitalRepairHistoryResponse {

    /**
     * 记录ID
     */
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目编号
     */
    private String code;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 操作项
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人id
     */
    private Long operatorId;

    /**
     * 操作人
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;
}
