package cn.com.ty.lift.business.contract.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2020/5/12
 * @description 付款操作记录返回
 */
@Data
public class PaymentHistoryResponse {

    /**
     * 记录ID
     */
    private Long id;

    /**
     * 合同ID
     */
    private Long contractsId;

    /**
     * 付款ID
     */
    private Long paymentId;

    /**
     * 操作项
     */
    private String description;

    /**
     * 操作前内容
     */
    private String beforeContent;

    /**
     * 操作后内容
     */
    private String afterContent;

    /**
     * 操作人id
     */
    private Long operatorId;

    /**
     * 操作人
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private LocalDateTime operateDate;
}
