package cn.com.ty.lift.business.contract.dao.mapper;

import cn.com.ty.lift.business.contract.dao.entity.PaymentHistory;
import cn.com.ty.lift.business.contract.dao.entity.model.response.PaymentHistoryResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author bieao
 * @date 2020/2/26
 * @description 付款操作记录数据层
 */
public interface PaymentHistoryMapper extends BaseMapper<PaymentHistory> {

    IPage<PaymentHistoryResponse> queryPaymentHistory(IPage<PaymentHistoryResponse> page, @Param("contractId") Long contractId);

}
