package cn.com.ty.lift.business.project.dao.entity.model.response;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/12/26
 * @description 项目电梯关联返回体
 */
@Data
public class ProjectRelevanceResponse {
    /**
     * 项目关联ID
     */
    private Long id;
    /**
     * 维保工ID
     */
    private Long workerId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 公司电梯关联ID
     */
    private Long relevanceId;
    /**
     * 项目编号
     */
    private String projectCode;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 电梯编号
     */
    private String liftCode;
    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 电梯位置
     */
    private String devicePosition;
}
