package cn.com.ty.lift.business.project.dao.mapper;

import cn.com.ty.lift.business.project.dao.entity.ProjectLiftRelevance;
import cn.com.ty.lift.business.project.dao.entity.model.request.ProjectRequest;
import cn.com.ty.lift.business.project.dao.entity.model.response.ProjectRelevanceResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author bieao
 * @date 2019/12/09
 * @description 项目电梯关联数据层
 */
public interface ProjectLiftRelevanceMapper extends BaseMapper<ProjectLiftRelevance> {

    IPage<ProjectRelevanceResponse> selectListByUserId(IPage<ProjectRelevanceResponse> page, @Param("request") ProjectRequest request);

    int count(@Param("mtCompanyId") Long mtCompanyId, @Param("projectStatus") Integer projectStatus);

    int countLiftNum(@Param("mtCompanyId") Long mtCompanyId, @Param("projectId") Long projectId);
}