package cn.com.ty.lift.system.wechat.constants;

/**
 * @author huangyuan
 * @date 2019-12-30
 * @description 微信常量
 */
public class WxConstants {

    /**
     * 小程序登录
     */
    public static final String APPLET_LOGIN = "appletLogin";

    /**
     * 小程序扫码登录
     */
    public static final String APPLET_SCAN_LOGIN = "appletScanLogin";

    /**
     * app登录
     */
    public static final String APP_LOGIN = "appLogin";


    /**
     * app登录配置常量
     */
    public interface AppConfigConstants {

        String OPEN_ID_URL = "https://api.weixin.qq.com/sns/oauth2/access_token?appid=APPID&secret=SECRET&code=CODE&grant_type=authorization_code";
        /**
         * appId
         */
        String APP_ID = "wx0f10e6386fb9969e";
        /**
         * appSecret
         */
        String APP_SECRET = "d4624c36b6795d1d99dcf0547af5443d";
    }

    /**
     * 小程序登录配置常量
     */
    public interface AppletConfigConstants {

        String OPEN_ID_URL = "https://api.weixin.qq.com/sns/jscode2session?appid=APPID&secret=SECRET&js_code=CODE&grant_type=authorization_code";
        /**
         * 小程序appId
         */
        String APP_ID = "wx9183e5fa00c9614a";
        /**
         * 小程序secret
         */
        String APP_SECRET = "c5b986baad1ac89372de2595fb83b999";
    }

    /**
     * 扫码小程序配置常量
     */
    public interface ScanCodeConfigConstants {
        String OPEN_ID_URL = "https://api.weixin.qq.com/sns/jscode2session?appid=APPID&secret=SECRET&js_code=CODE&grant_type=authorization_code";
        /**
         * 小程序appId
         */
        String APP_ID = "wx7e54f85a80dee09c";
        /**
         * 小程序secret
         */
        String APP_SECRET = "da2d0efff86d53dd7a7af3ffaf65f83d";
    }

}
